#
# Conditional build:
%bcond_without	doc	# API documentation
%bcond_without	python2	# Python 2.x modules
%bcond_without	python3	# Python 3.x modules

%define		module	jinja2
Summary:	Jinja2 Template engine for Python 2.x
Summary(pl.UTF-8):	Silnik szablonów Jinja2 dla Pythona 2.x
Name:		python-%{module}
Version:	2.6
Release:	4
License:	BSD
Group:		Development/Languages/Python
Source0:	http://pypi.python.org/packages/source/J/Jinja2/Jinja2-%{version}.tar.gz
# Source0-md5:	1c49a8825c993bfdcf55bb36897d28a2
URL:		http://jinja.pocoo.org/
BuildRequires:	rpm-pythonprov
%if %{with python2}
BuildRequires:	python-devel
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-devel
BuildRequires:	python3-distribute
BuildRequires:	python3-modules
%endif
%if %{with doc}
BuildRequires:	sphinx-pdg
%endif
Requires:	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A small but fast and easy to use stand-alone template engine written
in pure Python. Provides a Django inspired non-XML syntax but supports
inline expressions and an optional sandboxed environment.

%description -l pl.UTF-8
Mały ale szybki i łatwy w użyciu samodzielny silnik szablonów napisany
w czystym Pythonie. Udostępnia podobne do Django, o odmiennej od XML-a
składni i kompilowane do kodu Pythona szablony w opcjonalnie
ograniczonym środowisku.

%package -n python3-%{module}
Summary:	Template engine Jinja2 for Python 3.x
Summary(pl.UTF-8):	Silnik szablonów Jinja2 dla Pythona 3.x
Group:		Development/Languages/Python
Requires:	python3-modules

%description -n python3-%{module}
A small but fast and easy to use stand-alone template engine written
in pure Python. Provides a Django inspired non-XML syntax but supports
inline expressions and an optional sandboxed environment.

%description -n python3-%{module} -l pl.UTF-8
Mały ale szybki i łatwy w użyciu samodzielny silnik szablonów napisany
w czystym Pythonie. Udostępnia podobne do Django, o odmiennej od XML-a
składni i kompilowane do kodu Pythona szablony w opcjonalnie
ograniczonym środowisku.

%package apidoc
Summary:	Jinja2 template engine API documentation
Summary(pl.UTF-8):	Dokumentacja API silnika szablonów Jinja2
Group:		Development/Languages/Python

%description apidoc
API documentation for Jinja2 template engine.

%description apidoc -l pl.UTF-8
Dokumentacja API silnika szablonów Jinja2.

%prep
%setup -q -n Jinja2-%{version}

%build
%if %{with python2}
%{__python} setup.py build --build-base build-2
%endif
%if %{with python3}
%{__python3} setup.py build --build-base build-3
%endif

%if %{with doc}
cd docs
%{__make} -j1 html
rm -rf _build/html/_sources
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%{__python} setup.py \
	build --build-base build-2 \
	install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%py_postclean
%endif

%if %{with python3}
%{__python3} setup.py \
	build --build-base build-3 \
	install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGES LICENSE
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/Jinja2-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc AUTHORS CHANGES LICENSE
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/Jinja2-%{version}-py*.egg-info
%endif

%if %{with doc}
%files apidoc
%defattr(644,root,root,755)
%doc docs/_build/html/*
%endif
%changelog
* Sat Jul 20 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-jinja2.git;a=log;h=master

* Sat Jul 20 2013 Artur Frysiak <artur@frysiak.net> 3e51476
- Release 4

* Sun Mar 17 2013 Elan Ruusamäe <glen@delfi.ee> 22da3d4
- build noarch; cosmetics

* Wed Nov 14 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 772cdc4
- release 2 (by relup.sh)

* Tue Sep 13 2011 Jakub Bogusz <qboosh@pld-linux.org> bd8c7cd
- completed pl, fixed typos

* Tue Aug 09 2011 wrobell <wrobell@pld-linux.org> 89b10da
- ver. 2.6

* Fri Jul 15 2011 Jacek Konieczny <jajcus@pld-linux.org> 330eb94
- no %py3_postclean
- Release: 3

* Fri Feb 04 2011 sparky <sparky@pld-linux.org> 5742e28
- added missing name in module %description

* Mon Nov 15 2010 Patryk Zawadzki <patrys@room-303.com> d826719
- why does main pkg require python3?
- rel 2

* Fri Nov 12 2010 Artur Frysiak <artur@frysiak.net> 196bf8a
- BR fixes

* Fri Nov 12 2010 Artur Frysiak <artur@frysiak.net> 63775cd
- updated to 2.5.5
- added python3 subpackage (based on python3-jinja2.spec)
- added apidoc subpackage

* Fri Jul 09 2010 Artur Frysiak <artur@frysiak.net> 55c66d1
- build with doc
- rel. 6

* Fri Jul 09 2010 Artur Frysiak <artur@frysiak.net> 64e68f3
- build without doc
- rel. 5.1

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 279e439
- release 5

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 579cf8a
- release 4

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 4255d6b
- release 3

* Thu May 13 2010 sparky <sparky@pld-linux.org> 8fb54c6
- BR: rpm-pythonprov
- use __make macro

* Sun Feb 28 2010 Artur Frysiak <artur@frysiak.net> de2c695
- BR: setuptools
- Release: 2

* Sun Feb 28 2010 Artur Frysiak <artur@frysiak.net> bb2732e
- updated to 2.3.1
- build and package html docs

* Wed Sep 16 2009 wrobell <wrobell@pld-linux.org> f8c4b93
- ver. 2.2.1

* Sat Mar 14 2009 duddits <duddits@pld-linux.org> d7ab216
- up to 2.1.1

